Package com.logicaldoc.core.security.spring

# Class LDAuthenticationDetails

java.lang.Object
org.springframework.security.web.authentication.WebAuthenticationDetails
com.logicaldoc.core.security.spring.LDAuthenticationDetails

All Implemented Interfaces:
  `Serializable`

public class LDAuthenticationDetails extends org.springframework.security.web.authentication.WebAuthenticationDetails
Our customization of an `AuthenticationDetails` used to extract a third authentication parameter for the 2FA.

Since:
  7.7.3
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`LDAuthenticationDetails(jakarta.servlet.http.HttpServletRequest request)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getSecretKey()`
`int`
`hashCode()`

### Methods inherited from class org.springframework.security.web.authentication.WebAuthenticationDetails

`getRemoteAddress, getSessionId, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LDAuthenticationDetails

public LDAuthenticationDetails(jakarta.servlet.http.HttpServletRequest request)

## Method Details

### getSecretKey

public String getSecretKey()

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `org.springframework.security.web.authentication.WebAuthenticationDetails`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `org.springframework.security.web.authentication.WebAuthenticationDetails`